///--------------------------------------------------------------------------------------
//	Tiling Demo.h
///--------------------------------------------------------------------------------------

#pragma once

#include <SWIncludes.h>

#include "BeSpecific.h"

/*************/
/* Functions */
/*************/

#ifdef __cplusplus
extern "C" {
#endif

void	CreateSpriteWorld( void );
void	SetUpTiling( void );
void	CreateSprites( void );

void	SetUpAnimation( void );
int32	RunAnimation( void *arg );
void	ShutDown( void );

SW_FUNC void BallSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void DiamondSpriteMoveProc(SpritePtr ballSpriteP);

#ifdef __cplusplus
}
#endif
