///--------------------------------------------------------------------------------------
//	Wrap-around.h
//
//	By: Vern Jensen 7/20/95
///--------------------------------------------------------------------------------------


#ifndef __CIRCULARSCROLLING__
#define __CIRCULARSCROLLING__



///--------------------------------------------------------------------------------------
//	wrapping function prototypes
///--------------------------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif

SW_FUNC void SWUpdateCircularSpriteWorld(
	SpriteWorldPtr spriteWorldP);

SW_FUNC void SWProcessCircularSpriteWorld(
	SpriteWorldPtr spriteWorldP);

SW_FUNC void SWAnimateCircularSpriteWorld(
	SpriteWorldPtr spriteWorldP);

void SWDrawSpritesInRect(
	SpriteWorldPtr	spriteWorldP,
	Rect*			updateRect);

void SWEraseSpritesInRect(
	SpriteWorldPtr	spriteWorldP,
	Rect*			updateRect);

SW_FUNC void SWMoveCircularVisScrollRect(
	SpriteWorldPtr	spriteWorldP,
	short			horizPos,
	short			vertPos);
	
SW_FUNC void SWOffsetCircularVisScrollRect(
	SpriteWorldPtr	spriteWorldP,
	short			horizOffset,
	short			vertOffset);

SW_FUNC void SWCollideCircularSpriteLayer(
	SpriteWorldPtr	spriteWorldP,
	SpriteLayerPtr srcSpriteLayerP,
	SpriteLayerPtr dstSpriteLayerP);

SW_FUNC OSErr SWDrawTilesInCircularBackground(
	SpriteWorldPtr	spriteWorldP);

SW_FUNC void SWChangeCircularTileImage(
	SpriteWorldPtr	spriteWorldP,
	short			tileID,
	short			newImage);

SW_FUNC void SWUpdateCircularTileOnScreen(
	SpriteWorldPtr	spriteWorldP,
	short			tileID);

SW_FUNC void SWDrawCircularTile(
	SpriteWorldPtr	spriteWorldP,
	short			tileRow,
	short			tileCol,
	short			tileID);


#ifdef __cplusplus
}
#endif

#endif /* __CIRCULARSCROLLING__ */