///--------------------------------------------------------------------------------------
// BeSpecific.h
///--------------------------------------------------------------------------------------

#pragma once

const float	kWindowWidth	= 639;
const float	kWindowHeight	= 479;
const float	kWindowOffset	= 100;

///--------------------------------------------------------------------------------------
// SimpleView
///--------------------------------------------------------------------------------------
class SimpleView : public BView
{
	public:
						SimpleView(BRect frame);
			virtual void Draw(BRect updateRect);
			virtual void MouseDown(BPoint point);
			virtual void MouseMoved(BPoint point, uint32 transit, const BMessage *message);
};

///--------------------------------------------------------------------------------------
// SimpleWindow
///--------------------------------------------------------------------------------------
class SimpleWindow : public BWindow
{
	public:
						SimpleWindow(BRect frame);
		virtual	bool	QuitRequested();

};

///--------------------------------------------------------------------------------------
// SimpleApp
///--------------------------------------------------------------------------------------
class SimpleApp : public BApplication
{
	public:
	
				SimpleApp();
	
	void		SetHomeDirectory();
	
	BPath		*fLaunchDirectory;
};

